* {
	margin: 0;
	padding: 0;
}

@font-face {
  font-family: pixel;
  src: url(/fonts/Piacevoli.ttf);
}

body {
	/* background: url("../img/images.jpeg") repeat top center #4a2f51; */
	background: #5F5F5F;
	line-height: 1;
	font-family: "pixel", sans-serif;
	letter-spacing:0.1em;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
  font-size: 3.4vh;
}

a {
  color: #f0f0f0;
  text-decoration: underline dotted 2px;
}

#stage {
	margin: 0 auto;
	padding: 60px 20px 20px;
	width: 60vw;
	color: #f0f0f0;
	box-sizing: border-box;
	background: #5F5F5F;
	min-height: 100vh;
  align-content: center;
}

#footnotes {
  font-size: 2.5vh;
  text-align: center;
}

/* splash screen related: */

#splashscreen {
	display: none;
  position:fixed;
  top:0;
  left:0;
  bottom:0;
  width:100%;
	height:100%;
	color: #f0f0f0;
  background-image: url(../img/SpaceWallpaper3840x1344.png);
  background-size: cover;
	z-index: 2;
	overflow: hidden;
	text-align: center;
  align-content: center;
}

.splashx {
  display:grid;
  grid-template-rows: auto auto;
}

.splashx div {
  padding: 30px;
}

#enter {
  padding: 14px 16px;
  border: 1.5mm inset #737373;
  text-decoration: none;
}

.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease;
}

/* nav bar related: */

nav {
  overflow: hidden;
  background-color: #333;
  position: fixed;
  top: 0; 
  width: 100%; 
  height: 7vh;
  z-index: 1;
}

nav a {
  top: 0;
  float: right;
  display: block;
  color: #ddd;
  text-align: center;
  padding: 1.7vh 3.5vh;
  text-decoration: none;
  height: 7vh;
}

nav a:hover {
  background: #ddd;
  color: #333;
}

#themeButton {
  position:fixed;
  left: 0;
  height: 7vh;
}

/* main content: */

.container {
    display: flex;
    flex-direction: column; 
	padding: 0px 10px;
}

.item {
	padding: 10px 0px;
}

.item:nth-child(2n) {
  justify-items: right;
  text-align: right;
}

/* visual novel-esque character pop up: */

.character {
  display: grid;
  grid-template-areas:
    "icon speech"
    "name speech";
  grid-template-columns: 1fr 4fr;
  grid-template-rows: 3fr 1fr;
  gap: 5px;
  background-color: #545454;
  outline: 1.5mm outset #737373;
  color: #ffffff;
  left: 14%;
  bottom: 5vh;
  max-height: 34vh;
  max-width: 72vw;
  min-width: 30vw;
  height: fit-content;
  width: fit-content;
  position: sticky;
  overflow: hidden;
  margin: -35vh;
}

.character > div {
  background-color: #545454;
  border: 1.5mm inset #737373;
}
.character > div.icon {
  grid-area: icon;
  display: flex; 
  justify-content: center; 
  align-items: center; 
  max-height:25vh;
  aspect-ratio: 1/1;
}
.character > div.icon > img {
  grid-area: icon;
  min-height: 2vh;
  min-width: 2vw;
  max-height:25vh;
  aspect-ratio: 1/1;
  object-fit: contain;
}
.character > div.name {
  grid-area: name;
  max-height:10vh;
  max-width:25vh;
  display: flex; 
  justify-content: center; 
  align-items: center; 
  font-size: 3vh;
}

.character > div.speech {
  grid-area: speech;
  padding: 10px 20px;
  overflow: scroll;
  font-size: 3.4vh;
}

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #f0f0f0; /* Or any background color */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999; /* Ensure it's on top of other elements */
}

.spinner {
  border: 4px solid rgba(0, 0, 0, 0.1);
  border-left-color: #333; /* Color for the spinning part */
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

.hidden {
  display: none;
}